Categories:
  - Multimedia
  - Internet
License: GPL-3.0-only
WebSite: https://www.quicklyric.be
SourceCode: https://github.com/QuickLyric/QuickLyric
IssueTracker: https://github.com/QuickLyric/QuickLyric/issues

AutoName: QuickLyric
Summary: Fetch and display song lyrics
Description: |-
    QuickLyric fetches your lyrics for you. It includes a search engine and is
    simple and easy to use. It can also detect what song is playing on your device.

    The NFC permission is used to share lyrics via Android Beam.

    '''Highlights:'''

    * The fastest lyrics finder
    * Synchronized lyrics - the ultimate karaoke experience right in your pocket!
    * Floating lyrics to enjoy your lyrics without interrupting what you're doing
    * Display an (optional) notification to access your lyrics even quicker
    * Quickly download the lyrics for your whole library of songs (Google Play, Spotify or your own files)
    * Identify songs with your microphone: hold your phone to the music and the lyrics will appear!
    * A top-notch support team that will gladly answer all your questions

RepoType: git
Repo: https://github.com/QuickLyric/QuickLyric

Builds:
  - versionName: 1.5.3
    versionCode: 6
    commit: 1.5.3
    subdir: QuickLyric
    gradle:
      - fdroid

  - versionName: 1.5.5
    versionCode: 10
    commit: 1.5.5
    subdir: QuickLyric
    gradle:
      - fdroid

  - versionName: 1.5.7
    versionCode: 15
    commit: 1.5.7
    subdir: QuickLyric
    gradle:
      - fdroid

  - versionName: '1.6'
    versionCode: 19
    commit: '1.6'
    subdir: QuickLyric
    gradle:
      - fdroid

  - versionName: '1.7'
    versionCode: 28
    commit: '1.7'
    subdir: QuickLyric
    gradle:
      - fdroid

  - versionName: 1.7.1
    versionCode: 29
    commit: 1.7.1
    subdir: QuickLyric
    gradle:
      - fdroid

  - versionName: 1.7.4
    versionCode: 33
    commit: 1.7.4
    subdir: QuickLyric
    gradle:
      - fdroid

  - versionName: 1.7.4
    versionCode: 35
    commit: 1.7.4
    subdir: QuickLyric
    gradle:
      - fdroid

  - versionName: '1.8'
    versionCode: 40
    commit: '1.8'
    subdir: QuickLyric
    gradle:
      - fdroid

  - versionName: 1.8c
    versionCode: 45
    commit: 1.8c
    subdir: QuickLyric
    gradle:
      - fdroid

  - versionName: 1.8d
    versionCode: 47
    commit: 1.8d
    subdir: QuickLyric
    gradle:
      - fdroid

  - versionName: 2.0.4
    versionCode: 110
    commit: 4e2f2f405ca29aa8877eea0a194a99d720bf05b5
    subdir: QuickLyric
    gradle:
      - yes
    prebuild:
      - echo -e "android { lintOptions { disable 'MissingTranslation'\n\ndisable 'ExtraTranslation'
        } }" >> build.gradle
      - sed -i -e '/<<<<<<</d' -e '/=======/d' -e '/d989421/d'  proguard-rules.pro

  - versionName: 2.0.5
    versionCode: 114
    commit: 2.0.5
    subdir: QuickLyric
    gradle:
      - yes
    prebuild:
      - mkdir -p gradle/wrapper
      - echo -e 'distributionUrl=https://services.gradle.org/distributions/gradle-3.3-bin.zip'
        > gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.0.8
    versionCode: 124
    commit: 2.0.8
    subdir: QuickLyric
    gradle:
      - yes
    prebuild:
      - sed -i -e '/shrinkResources/s/true/false/g' build.gradle
      - mkdir -p gradle/wrapper
      - echo -e 'distributionUrl=https://services.gradle.org/distributions/gradle-3.3-bin.zip'
        > gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.0.8c
    versionCode: 129
    commit: 2.0.8c
    subdir: QuickLyric
    gradle:
      - yes
    prebuild:
      - sed -i -e '/shrinkResources/s/true/false/g' build.gradle
      - mkdir -p gradle/wrapper
      - echo -e 'distributionUrl=https://services.gradle.org/distributions/gradle-3.3-bin.zip'
        > gradle/wrapper/gradle-wrapper.properties

  - versionName: '2.1'
    versionCode: 131
    commit: '2.1'
    subdir: QuickLyric
    gradle:
      - yes
    prebuild:
      - sed -i -e '/shrinkResources/s/true/false/g' build.gradle
      - mkdir -p gradle/wrapper
      - echo -e 'distributionUrl=https://services.gradle.org/distributions/gradle-3.3-bin.zip'
        > gradle/wrapper/gradle-wrapper.properties

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: '2.1'
CurrentVersionCode: 131
